import { jsx } from "react/jsx-runtime";
import { PintGlassIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const PintGlass = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "PintGlass", ...props, children: /* @__PURE__ */ jsx(PintGlassIcon, { weight: variant }) });
  }
);
PintGlass.displayName = "PintGlass";
Object.assign(PintGlass, { isGdsIcon: true });
export {
  PintGlass
};
